org.richfaces.component

## Class UIOrderingList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - org.richfaces.component.AbstractSelectManyComponent
            - - org.richfaces.component.AbstractOrderingComponent
              - - org.richfaces.component.AbstractOrderingList
                - - org.richfaces.component.UIOrderingList

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.util.SelectItemsInterface

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIOrderingList
      extends AbstractOrderingList
      implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.component.util.SelectItemsInterface

  The <rich:orderingList> is a component for ordering items in a list (client-side).

  Author:
    Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIOrderingList.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIOrderingList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveClass()`
    `String` | `getCaption()` The text placed above the list of items
    `String` | `getChangedClass()`
    `String` | `getCollectionType()`
    `String` | `getColumnClasses()`
    `String` | `getDefaultEventName()`
    `String` | `getDisabledClass()`
    `String` | `getDownBottomText()` The text to display in the move-to-bottom button
    `String` | `getDownText()` The text to display in the move-down button
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHeaderClass()`
    `String` | `getItemClass()`
    `Object` | `getItemLabel()` Label to be displayed to the user for the corresponding option.
    `Object` | `getItemValue()` Value to be returned to the server if the corresponding option is selected by the user.
    `String` | `getListHeight()`
    `String` | `getListWidth()`
    `String` | `getMaxListHeight()`
    `String` | `getMinListHeight()`
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnfocus()` Javascript code executed when this element receives focus
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element .
    `String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element .
    `String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element .
    `String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element .
    `String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element .
    `String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element .
    `String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element .
    `String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element .
    `String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element .
    `String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element .
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getSelectItemClass()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getUpText()` The text to display in the move-up button
    `String` | `getUpTopText()` The text to display in the move-to-top button
    `String` | `getVar()`
    `boolean` | `isDisabled()`
    `boolean` | `isShowButton()`
    `void` | `setActiveClass(String activeClass)`
    `void` | `setCaption(String caption)`
    `void` | `setChangedClass(String changedClass)`
    `void` | `setCollectionType(String collectionType)`
    `void` | `setColumnClasses(String columnClasses)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDisabledClass(String disabledClass)`
    `void` | `setDownBottomText(String downBottomText)`
    `void` | `setDownText(String downText)`
    `void` | `setHeaderClass(String headerClass)`
    `void` | `setItemClass(String itemClass)`
    `void` | `setItemLabel(Object itemLabel)`
    `void` | `setItemValue(Object itemValue)`
    `void` | `setListHeight(String listHeight)`
    `void` | `setListWidth(String listWidth)`
    `void` | `setMaxListHeight(String maxListHeight)`
    `void` | `setMinListHeight(String minListHeight)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnlistclick(String onlistclick)`
    `void` | `setOnlistdblclick(String onlistdblclick)`
    `void` | `setOnlistkeydown(String onlistkeydown)`
    `void` | `setOnlistkeypress(String onlistkeypress)`
    `void` | `setOnlistkeyup(String onlistkeyup)`
    `void` | `setOnlistmousedown(String onlistmousedown)`
    `void` | `setOnlistmousemove(String onlistmousemove)`
    `void` | `setOnlistmouseout(String onlistmouseout)`
    `void` | `setOnlistmouseover(String onlistmouseover)`
    `void` | `setOnlistmouseup(String onlistmouseup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setSelectItemClass(String selectItemClass)`
    `void` | `setShowButton(boolean showButton)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setUpText(String upText)`
    `void` | `setUpTopText(String upTopText)`
    `void` | `setVar(String var)`

    - ### Methods inherited from class org.richfaces.component.AbstractOrderingList

      `getItemValues`

    - ### Methods inherited from class org.richfaces.component.AbstractOrderingComponent

      `compareValues`

    - ### Methods inherited from class org.richfaces.component.AbstractSelectManyComponent

      `columns, validateValue`

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.util.SelectItemsInterface

      `getItemValues`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIOrderingList

          public UIOrderingList()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UISelectMany`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getActiveClass

          public String getActiveClass()

      Specified by:
        `getActiveClass` in class `AbstractSelectManyComponent`

    - #### setActiveClass

          public void setActiveClass(String activeClass)

    - #### getCaption

          public String getCaption()

      Description copied from class: `AbstractOrderingList`
      The text placed above the list of items
      Specified by:
        `getCaption` in class `AbstractOrderingList`

    - #### setCaption

          public void setCaption(String caption)

    - #### getChangedClass

          public String getChangedClass()

      Specified by:
        `getChangedClass` in class `AbstractSelectManyComponent`

    - #### setChangedClass

          public void setChangedClass(String changedClass)

    - #### getCollectionType

          public String getCollectionType()

      Specified by:
        `getCollectionType` in class `AbstractSelectManyComponent`

    - #### setCollectionType

          public void setCollectionType(String collectionType)

    - #### getColumnClasses

          public String getColumnClasses()

      Specified by:
        `getColumnClasses` in class `AbstractSelectManyComponent`

    - #### setColumnClasses

          public void setColumnClasses(String columnClasses)

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in class `AbstractSelectManyComponent`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getDisabledClass

          public String getDisabledClass()

      Specified by:
        `getDisabledClass` in class `AbstractSelectManyComponent`

    - #### setDisabledClass

          public void setDisabledClass(String disabledClass)

    - #### getDownBottomText

          public String getDownBottomText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-to-bottom button
      Specified by:
        `getDownBottomText` in class `AbstractOrderingComponent`

    - #### setDownBottomText

          public void setDownBottomText(String downBottomText)

    - #### getDownText

          public String getDownText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-down button
      Specified by:
        `getDownText` in class `AbstractOrderingComponent`

    - #### setDownText

          public void setDownText(String downText)

    - #### getHeaderClass

          public String getHeaderClass()

      Specified by:
        `getHeaderClass` in class `AbstractSelectManyComponent`

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

    - #### getItemClass

          public String getItemClass()

      Specified by:
        `getItemClass` in class `AbstractSelectManyComponent`

    - #### setItemClass

          public void setItemClass(String itemClass)

    - #### getItemLabel

          public Object getItemLabel()

      Description copied from class: `AbstractOrderingList`
      Label to be displayed to the user for the corresponding option.
      Specified by:
        `getItemLabel` in interface `org.richfaces.component.util.SelectItemsInterface`
      Specified by:
        `getItemLabel` in class `AbstractOrderingList`

    - #### setItemLabel

          public void setItemLabel(Object itemLabel)

    - #### getItemValue

          public Object getItemValue()

      Description copied from class: `AbstractOrderingList`
      Value to be returned to the server if the corresponding option is selected by the user.
      Specified by:
        `getItemValue` in interface `org.richfaces.component.util.SelectItemsInterface`
      Specified by:
        `getItemValue` in class `AbstractOrderingList`

    - #### setItemValue

          public void setItemValue(Object itemValue)

    - #### getListHeight

          public String getListHeight()

      Specified by:
        `getListHeight` in class `AbstractSelectManyComponent`

    - #### setListHeight

          public void setListHeight(String listHeight)

    - #### getListWidth

          public String getListWidth()

      Specified by:
        `getListWidth` in class `AbstractSelectManyComponent`

    - #### setListWidth

          public void setListWidth(String listWidth)

    - #### getMaxListHeight

          public String getMaxListHeight()

      Specified by:
        `getMaxListHeight` in class `AbstractSelectManyComponent`

    - #### setMaxListHeight

          public void setMaxListHeight(String maxListHeight)

    - #### getMinListHeight

          public String getMinListHeight()

      Specified by:
        `getMinListHeight` in class `AbstractSelectManyComponent`

    - #### setMinListHeight

          public void setMinListHeight(String minListHeight)

    - #### getOnblur

          public String getOnblur()

      Description copied from class: `AbstractSelectManyComponent`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in class `AbstractSelectManyComponent`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from class: `AbstractSelectManyComponent`
      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in class `AbstractSelectManyComponent`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in class `AbstractSelectManyComponent`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in class `AbstractSelectManyComponent`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from class: `AbstractSelectManyComponent`
      Javascript code executed when this element receives focus
      Specified by:
        `getOnfocus` in class `AbstractSelectManyComponent`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractSelectManyComponent`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Specified by:
        `getOnkeypress` in class `AbstractSelectManyComponent`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractSelectManyComponent`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnlistclick

          public String getOnlistclick()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is clicked over the list element .
      Specified by:
        `getOnlistclick` in class `AbstractOrderingList`

    - #### setOnlistclick

          public void setOnlistclick(String onlistclick)

    - #### getOnlistdblclick

          public String getOnlistdblclick()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is double clicked over the list element .
      Specified by:
        `getOnlistdblclick` in class `AbstractOrderingList`

    - #### setOnlistdblclick

          public void setOnlistdblclick(String onlistdblclick)

    - #### getOnlistkeydown

          public String getOnlistkeydown()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a key is pressed down over the list element .
      Specified by:
        `getOnlistkeydown` in class `AbstractOrderingList`

    - #### setOnlistkeydown

          public void setOnlistkeydown(String onlistkeydown)

    - #### getOnlistkeypress

          public String getOnlistkeypress()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a key is pressed and released over the list element .
      Specified by:
        `getOnlistkeypress` in class `AbstractOrderingList`

    - #### setOnlistkeypress

          public void setOnlistkeypress(String onlistkeypress)

    - #### getOnlistkeyup

          public String getOnlistkeyup()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a key is released over the list element .
      Specified by:
        `getOnlistkeyup` in class `AbstractOrderingList`

    - #### setOnlistkeyup

          public void setOnlistkeyup(String onlistkeyup)

    - #### getOnlistmousedown

          public String getOnlistmousedown()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is pressed down over the list element .
      Specified by:
        `getOnlistmousedown` in class `AbstractOrderingList`

    - #### setOnlistmousedown

          public void setOnlistmousedown(String onlistmousedown)

    - #### getOnlistmousemove

          public String getOnlistmousemove()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is moved within the list element .
      Specified by:
        `getOnlistmousemove` in class `AbstractOrderingList`

    - #### setOnlistmousemove

          public void setOnlistmousemove(String onlistmousemove)

    - #### getOnlistmouseout

          public String getOnlistmouseout()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is moved away from the list element .
      Specified by:
        `getOnlistmouseout` in class `AbstractOrderingList`

    - #### setOnlistmouseout

          public void setOnlistmouseout(String onlistmouseout)

    - #### getOnlistmouseover

          public String getOnlistmouseover()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is moved onto the list element .
      Specified by:
        `getOnlistmouseover` in class `AbstractOrderingList`

    - #### setOnlistmouseover

          public void setOnlistmouseover(String onlistmouseover)

    - #### getOnlistmouseup

          public String getOnlistmouseup()

      Description copied from class: `AbstractOrderingList`
      Javascript code executed when a pointer button is released over the list element .
      Specified by:
        `getOnlistmouseup` in class `AbstractOrderingList`

    - #### setOnlistmouseup

          public void setOnlistmouseup(String onlistmouseup)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in class `AbstractSelectManyComponent`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `AbstractSelectManyComponent`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `AbstractSelectManyComponent`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `AbstractSelectManyComponent`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in class `AbstractSelectManyComponent`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getSelectItemClass

          public String getSelectItemClass()

      Specified by:
        `getSelectItemClass` in class `AbstractSelectManyComponent`

    - #### setSelectItemClass

          public void setSelectItemClass(String selectItemClass)

    - #### isShowButton

          public boolean isShowButton()

      Specified by:
        `isShowButton` in class `AbstractOrderingComponent`

    - #### setShowButton

          public void setShowButton(boolean showButton)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in class `AbstractSelectManyComponent`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in class `AbstractSelectManyComponent`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getUpText

          public String getUpText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-up button
      Specified by:
        `getUpText` in class `AbstractOrderingComponent`

    - #### setUpText

          public void setUpText(String upText)

    - #### getUpTopText

          public String getUpTopText()

      Description copied from class: `AbstractOrderingComponent`
      The text to display in the move-to-top button
      Specified by:
        `getUpTopText` in class `AbstractOrderingComponent`

    - #### setUpTopText

          public void setUpTopText(String upTopText)

    - #### getVar

          public String getVar()

      Specified by:
        `getVar` in interface `org.richfaces.component.util.SelectItemsInterface`
      Specified by:
        `getVar` in class `AbstractSelectManyComponent`

    - #### setVar

          public void setVar(String var)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.